Cannot install add-on VPMS in 1.3.1

I am trying to install the Capella Modes and States Addon Prototype, where it says that I am missing a core bundle. Is this because my version of Capella is: 1.3.1 Build id: 201905201820 ? Since the bundle refers to a 1.3.0 feature.
Cannot complete the install because one or more required items could not be found.
Software being installed: Capella Modes and States Addon Prototype Feature 0.12.1.201907092047 (org.polarsys.capella.vp.ms.feature.feature.group 0.12.1.201907092047)
Missing requirement: Capella M&S Prototype Statemachine Validation Rules 0.9.0.201907092047 (org.polarsys.capella.core.data.common.statemachine.validati on 0.9.0.201907092047) requires ‘bundle org.polarsys.capella.core.validation [0.8.0,1.3.0)’ but it could not be found
Cannot satisfy dependency:
From: Capella Modes and States Addon Prototype Feature 0.12.1.201907092047 (org.polarsys.capella.vp.ms.feature.feature.group 0.12.1.201907092047)
To: org.polarsys.capella.core.data.common.statemachine.validatio n [0.9.0.201907092047]

Copyright © Eclipse Capella, the Eclipse Capella logo, Eclipse and the Eclipse logo are Trademarks of The Eclipse Foundation.